Bug 739142 - Rebase oprofile to latest release -- 0.9.7 or later
Rebase oprofile to latest release -- 0.9.7 or later
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: oprofile (Show other bugs)
6.3
ppc64 All
high Severity high
: beta
: 6.3
Assigned To: William Cohen
qe-baseos-tools
: FutureFeature, Rebase
Depends On:
Blocks: 704634 705085
  Show dependency treegraph
 
Reported: 2011-09-16 11:43 EDT by IBM Bug Proxy
Modified: 2012-06-20 11:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 74749 None None None Never

  None (edit)
Description IBM Bug Proxy 2011-09-16 11:43:12 EDT
1. Feature Overview:
Feature Id: [74749]
a. Name of Feature: Update oprofile to latest release -- 0.9.7 or later
b. Feature Description

Update oprofile to latest release to pick up bug fixes and enhancements.  Below is a partial list of bug fixes/enhancements made to 0.9.7:

  - Improve the security of opcontrol
  - Use qt3support to allow either QT3 or QT4
  - opcontrol appears to not support changing events
  - Fix time discrepancy using oprofile
  - ophelp -X doesn't display event's unit mask type
  - opcontrol breaks on busybox ash in is_tool_available()
  - configure fails to handle --without-java correctly
  - Added config option to disable oprofile user check
  - Fix qt lib check so it works on base 64-bit system
  - Fix memory leak opening opd_pipe
  - catch basic_string::erase when parsing an invalid sample file name
  - Fix an opreport error seen on Fedora 12 by making translate_debuginfo_syms
more robust
  - Fix opimport compile error on recent gcc
  - Fix schema validation issues and error in xml generation
  - Fix symbol size problem that causes "start>  end" erorr
  - Avoid blindly writing to $SESSION_DIR/opd_pipe
  - Ensure that --save only saves things in $SESSION_DIR
  - Fix compilation error dueto the assembly language instruction cpuid

2. Feature Details:
Sponsor: LTC Toolchain
Architectures:  ppc64, 

Arch Specificity: both
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: other
Request Type: Toolchain - Enhancement from Upstream
d. Upstream Acceptance: In Progress
Sponsor Priority P2
f. Severity: high
IBM Confidential: No
Code Contribution: ---
g. Component Version Target: ---

3. Business Case
The OProfile project is releasing 0.9.7.  The previous release was GA'ed in Nov 2009, so a lot of bug fixes and enhancements are available that will benefit users.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael L. Hohnbaum, hbaum@us.ibm.com

Technical contact(s):
Maynard P. Johnson, mpjohn@us.ibm.com
Comment 2 IBM Bug Proxy 2011-12-19 15:00:27 EST
------- Comment From mpjohn@us.ibm.com 2011-12-19 14:55 EDT-------
OProfile 0.9.7 can be found at:
http://oprofile.sourceforge.net/download/
Comment 3 John Jarvis 2012-03-06 11:09:28 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux
team for inclusion in a Red Hat Enterprise Linux minor release.   As a result
of this evaluation, Red Hat has tentatively approved inclusion of this feature
in the next Red Hat Enterprise Linux Update minor release.   While it is a goal
to include this enhancement in the next minor release of Red Hat Enterprise
Linux, the enhancement is not yet committed for inclusion in the next minor
release pending the next phase of actual code integration and successful Red
Hat and partner testing.
Comment 6 IBM Bug Proxy 2012-04-25 11:51:57 EDT
------- Comment From mpjohn@us.ibm.com 2012-04-25 15:47 EDT-------
Verified feature since testcase ran successfully.
Comment 8 errata-xmlrpc 2012-06-20 11:09:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0966.html

Note You need to log in before you can comment on or make changes to this bug.